'use strict';

var _chai = require('chai');

var _parseModel = require('../../lib/parse-model');

var _parseModel2 = _interopRequireDefault(_parseModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('parseModel processes faker', function () {

  it('date.between - returns a date between 2020-11-03 and 2020-11-05', function () {
    var fromDate = '2020-11-03';
    var toDate = '2020-11-05';
    var model = {
      config: { locale: 'en' },
      model: {
        aDateBetween: {
          type: 'faker',
          value: 'date.between',
          options: [fromDate, toDate]
        }
      }
    };

    var _parseModelData = (0, _parseModel2.default)(model),
        aDateBetween = _parseModelData.aDateBetween;

    var aDateBetweenTime = new Date(aDateBetween).getTime();
    var fromDateTime = new Date(fromDate).getTime();
    var toDateTime = new Date(toDate).getTime();

    (0, _chai.expect)(aDateBetween).to.be.a('date');
    (0, _chai.expect)(aDateBetweenTime).to.be.within(fromDateTime, toDateTime);
  });
});